local ZomboLewdModOptions = PZAPI.ModOptions:getOptions("ZomboLewdFramework")

DebugLog.log("[Zombolewd] debug options No Event:")
print("box_Survivor_Sex = ", ZomboLewdModOptions:getOption("box_Survivor_Sex"):getValue())
print("box_debug = ", ZomboLewdModOptions:getOption("box_debug"):getValue())
print("box_SUndress = ", ZomboLewdModOptions:getOption("box_SUndress"):getValue())
print("box_SCureZ = ", ZomboLewdModOptions:getOption("box_SCureZ"):getValue())
print("box_SFitness = ", ZomboLewdModOptions:getOption("box_SFitness"):getValue())
DebugLog.log("registries (custom traits):")
DebugLog.log(string.format("ZombolewdRegistries.Succuby: %s", tostring(ZombolewdRegistries.Succuby)))

Events.OnGameStart.Add(function (player)
	DebugLog.log("[Zombolewd] debug options OnGameStart:")
	print("box_Survivor_Sex = ", ZomboLewdModOptions:getOption("box_Survivor_Sex"):getValue())
    print("box_debug = ", ZomboLewdModOptions:getOption("box_debug"):getValue())
	print("box_SUndress = ", ZomboLewdModOptions:getOption("box_SUndress"):getValue())
	print("box_SCureZ = ", ZomboLewdModOptions:getOption("box_SCureZ"):getValue())
	print("box_SFitness = ", ZomboLewdModOptions:getOption("box_SFitness"):getValue())
	--local bodyDamage = player:getBodyDamage()
	--print("Player InfectionLevel = ", bodyDamage:getInfectionLevel())
	DebugLog.log("[Zombolewd] mods loaded:")
	local act_mods = getActivatedMods()
	if act_mods then
		for mod_order = 0, act_mods:size()-1 do		
            DebugLog.log(string.format("Mod order %d . %s", mod_order,act_mods:get(mod_order)))
        end
	else
		DebugLog.log("No loaded mod detected")
	end
end)

